Inhalte

# Funktion FileAttr

Gibt den Zugriffsmodus oder die Dateizugriffsnummer einer mit der Anweisung Open geöffneten Datei zurück. Die Dateizugriffsnummer ist vom Betriebssystem abhängig (OSH = Operating System Handle, Betriebssystem-Handle).

Wenn Sie ein 32-Bit-Betriebssystem verwenden, können Sie die Funktion "FileAttr" nicht zur Ermittlung der Dateizugriffsnummer verwenden.

Siehe auch: Open

### Syntax:

      FileAttr (Kanal As Integer, Attribute As Integer)

### Rückgabewert:

Integer

### Parameter:

Kanal: Die Nummer der Datei, die mit der Anweisung "Open" geöffnet wurde.

Attribute: Ganzzahliger Ausdruck, der den Typ der Dateiinformationen angibt, die Sie zurückgeben möchten. Folgende Werte sind möglich:

1: FileAttr gibt den Zugriffsmodus der Datei an.

2: FileAttr gibt die Dateizugriffsnummer des Betriebssystems zurück.

Wenn Sie den Attribute-Parameter als 1 festlegen, sind folgende Rückgabewerte möglich:

1 – INPUT (Datei zur Eingabe geöffnet)

2 – OUTPUT (Datei zur Ausgabe geöffnet)

4 – RANDOM (Datei mit wahlfreiem Zugriff)

8 – APPEND (Datei zum Erweitern geöffnet)

32 – BINARY (Datei im Binärzugriff geöffnet).

### Fehlercodes:

5 Ungültiger Prozeduraufruf

52 Dateiname oder -nummer falsch

### Beispiel:

    Sub ExampleFileAttr
        Dim iNumber As Integer
        Dim sLine As String
        Dim aFile As String
        aFile = "C:\Users\ThisUser\data.txt"
        iNumber = Freefile
        Open aFile For Output As #iNumber
        Print #iNumber, "Das ist eine Zeile Text"
        MsgBox FileAttr(#iNumber, 1), 0, "Zugriffsmodus"
        MsgBox FileAttr(#iNumber, 2), 0, "Datei-Zugriffsnummer"
        Close #iNumber
    End Sub

Verwandte Themen

Anweisung Close

Funktion FreeFile

Anweisung Open

Anweisung Print#